Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Interface AFPEventProducer

All Superinterfaces:
  EventProducer

public interface AFPEventProducer
extends EventProducer

Event producer interface for AFP-specific events.

Nested Class Summary
`static class` | `AFPEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `characterSetEncodingError(java.lang.Object source, java.lang.String charSetName, java.lang.String encoding)` A character set encoding error occurred.
`void` | `resourceEmbeddingError(java.lang.Object source, java.lang.String resourceName, java.lang.Exception e)` Triggered when an external resource fails to be embedded.
`void` | `warnDefaultFontSetup(java.lang.Object source)` Warn about using default font setup.
`void` | `warnMissingDefaultFont(java.lang.Object source, java.lang.String style, int weight)` Warn about a missing default "any" font configuration.

Method Detail

### warnDefaultFontSetup

    public void warnDefaultFontSetup(java.lang.Object source)

  Warn about using default font setup.

  Parameters:
    `source` - the event source
  Event severity level:
    WARN

### warnMissingDefaultFont

    public void warnMissingDefaultFont(java.lang.Object source,
                                       java.lang.String style,
                                       int weight)

  Warn about a missing default "any" font configuration.

  Parameters:
    `source` - the event source
    `style` - the font style
    `weight` - the font weight
  Event severity level:
    WARN

### characterSetEncodingError

    public void characterSetEncodingError(java.lang.Object source,
                                          java.lang.String charSetName,
                                          java.lang.String encoding)

  A character set encoding error occurred.

  Parameters:
    `source` - the event source
    `charSetName` - the character set name
    `encoding` - the encoding
  Event severity level:
    ERROR

### resourceEmbeddingError

    public void resourceEmbeddingError(java.lang.Object source,
                                       java.lang.String resourceName,
                                       java.lang.Exception e)

  Triggered when an external resource fails to be embedded.

  Parameters:
    `source` - the event source
    `resourceName` - the name of the resource where the error occurred
    `e` - the original exception
  Event severity level:
    ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.